/* HEADER */

header {

	position: relative;
	z-index: 666;
	border-top: 1px solid $white;
	
	h1 {
		@include text_hide;
		background: url(img/logo.png) 0 0 no-repeat;
		margin: 13px 0;
		width: 128px;
		height: 128px;
		
		@include transition (all .333s ease-in-out);
		
		&:hover {
			@include rotate(15);
		}
	}
	
	h2,
	h3 {
		@include reset;
		position: absolute;
		left: 150px;
	}
	
	h2 {
		top: 18px;
		font: {
			size: 23px;
			weight: 700
		}
		line-height: 1.3em;
		text-transform: uppercase;
	}
	
	h3 {
		top: 113px;
		font: {
			size: 18px;
		}
	}
	
	nav#main_menu {
		@include reset(list);
		position: relative;
		z-index: 350;
		border: {
			width: 1px 0;
			color: lighten($black, 80%);
			style: solid;
		}
		height: 66px;
		width: 100%;
		float: none;
		clear: both;
		
		a {
			color: $black;
			@include single-transition(color, .222s);
		}
		
		.current-menu-item a {
			color: $brown;
		}
		
		ul li {
			position: relative;
			padding: 0 17px 0 16px;
			line-height: 66px;
			text-transform: uppercase;
			@include comforta($weight: 700);
			
			&:hover > a {
				color: $brown;
			}
			
			&:after {
				content: '';
				display: block;
				position: absolute;
				right: 0;
				top: 50%;
				margin-top: -6px;
				width: 1px;
				height: 12px;
				background-color: lighten($black, 80%);
			}
			
			&.first-menu-item {
				padding-left: 1px;
			}
			
			&.last-menu-item:after {
				display: none;
			}
		}
		
		ul li ul {
			display: none;
			position: absolute;
			top: 100%;
			left: 0;
			border: {
				color: lighten($black, 80%);
				width: 0 1px 1px 1px;
				style: solid;
			}
			padding-bottom: 5px;
			background-color: $white;
			@include border-radius(0 0 6px 6px);
			//@include shadow(0, 0, 9px, 0, rgba($black, .222));
		}
		
		ul li ul li {
			white-space: nowrap;
			line-height: 28px;
			font-size: 12px;
			
			&:after {
				display: none;
			}
		}
		
		
		ul li:hover ul {
			display: block;
		}
	}
	
	nav#social_menu {
		$icon-size: 32px;
		$icon-space: 12px;
	
		@include reset(list);
		position: absolute;
		right: 0;
		bottom: 82px;
		
		a {
			position: relative;
			display: block;
			width: $icon-size + $icon-space;
			height: $icon-size;
			overflow: hidden;
			white-space: nowrap;
			color: $white;
			opacity: .85;
			
			&:after {
				position: absolute;
				left: 0;
				top: 0;
				width: $icon-size  + $icon-space;
				height: $icon-size;
				background-color: $white;
				text-align: right;
				line-height: $icon-size;
				font-size: $icon-size;
			}
		}
		
		#menu-item-18362 a:after {
			@include icon($fa-var-facebook-square);
			color: #425F9C;
		}
		
		#menu-item-18364 a:after {
			@include icon($fa-var-youtube);
			color: #C2191E;
		}
		
		#menu-item-18363 a:after {
			@include icon($fa-var-envelope);
			color: lighten($black, 30%);
		}
	}
	
	// LOGIN
	
	#user_menu {
		@include reset(list);
		position: absolute;
		right: 0;
		top: 10px;
		
		ul {
		
		}
		
		ul li {
			text-transform: lowercase;
			font-size: 11px;
			margin-left: 8px;
		}
		
		a {
			color: lighten($black, 33%);
			
			&:before {
				display: inline-block;
				margin-right: 4px;
			}
		}
		
		#menu-item-18554 a:before {
			@include icon($fa-var-key);
		}
		
		#menu-item-18557 a:before {
			@include icon($fa-var-user);
		}
		
		#logout a:before {
			@include icon($fa-var-power-off);
		}
	}
	
	.login_form {
		@include reset(list);
		position: absolute;
		top: -300px;
		right: 0;
		height: 32px;
		padding: 0 5px;
		overflow: hidden;
		background-color: $white;
		@include border-radius(0 0 6px 6px);
		@include shadow(0, 0, 9px, 0, lighten($black, 15%));
		@include transition(top .3s ease-out);
		
		.error_wid_login {
			display: inline-block;
			width: auto;
			background-color: transparent;
		}
		
		form#login {
			display: inline-block;
		}
		
		ul li {
			line-height: 32px;
			margin: 0 3px;
			font-size: 11px;
			
			input[type="text"],
			input[type="password"] {
				width: 85px;
			}
		}
		
		&.active {
			top: -1px;
		}
	}
}













